[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# ShowMessageFmt

Shows a message assembled from a format string and an array of arguments.

## Declaration

Source position: dialogs.pp line 509

`procedure ShowMessageFmt(`
`const aMsg: String;`
`Params: array of Const`
`);`

## Arguments

`aMsg` |  | The format string
`Params` |  | The parameters to be inserted in the message.

## Description

This procedure is an extension to the ShowMessage procedure. The parameters it takes are the same as the Format function.

## See also

ShowMessage |  | Show Message

The latest version of this document can be found at lazarus-ccr.sourceforge.net .